/**
 * @overview nodeunit test case.
 * @author "ci.worker.generateTaskDefineHelper"
 *
 */
var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    fs = require('fs'),
    taskDefineHelper = require('../../../../ci/helpers/task_define_helper.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};

exports['Define a task.'] = function (test) {
    var t = taskDefineHelper;
    test.ok(t._debug({foo:'bar'}), '_debug should exists.');
    test.ok(t._evaluateData({foo:'bar'}), '_evaluateData should exists.');
    test.ok(t._expandGlobUnlessIgnored({foo:'bar'}), '_expandGlobUnlessIgnored should exists.');
    test.ok(t._inheritPrototypeFiles({foo:'bar'}), '_inheritPrototypeFiles should exists.');
    test.ok(t._loadLocalTmpl({foo:'bar'}), '_loadLocalTmpl should exists.');
    test.ok(t._newRenderData({foo:'bar'}), '_newRenderData should exists.');
    test.ok(t._runTest({foo:'bar'}), '_runTest should exists.');
    test.ok(t._workerName({foo:'bar'}), '_workerName should exists.');
    test.ok(t._writeUnitTestFile({foo:'bar'}), '_writeUnitTestFile should exists.');
    test.ok(t.changeMode({foo:'bar'}), 'changeMode should exists.');
    test.ok(t.cleanDeadSymlinks({foo:'bar'}), 'cleanDeadSymlinks should exists.');
    test.ok(t.cleanDirectory({foo:'bar'}), 'cleanDirectory should exists.');
    test.ok(t.copyPrototypeFiles({foo:'bar'}), 'copyPrototypeFiles should exists.');
    test.ok(t.cutAndReplaceLinks({foo:'bar'}), 'cutAndReplaceLinks should exists.');
    test.ok(t.execCommand({foo:'bar'}), 'execCommand should exists.');
    test.ok(t.generateApiguide({foo:'bar'}), 'generateApiguide should exists.');
    test.ok(t.generateCiTasksIndex({foo:'bar'}), 'generateCiTasksIndex should exists.');
    test.ok(t.generateConfigDataJson({foo:'bar'}), 'generateConfigDataJson should exists.');
    test.ok(t.generateDataJson({foo:'bar'}), 'generateDataJson should exists.');
    test.ok(t.generateFileConfigHelper({foo:'bar'}), 'generateFileConfigHelper should exists.');
    test.ok(t.generateIndex({foo:'bar'}), 'generateIndex should exists.');
    test.ok(t.generateIndexFiles({foo:'bar'}), 'generateIndexFiles should exists.');
    test.ok(t.generateIndexTest({foo:'bar'}), 'generateIndexTest should exists.');
    test.ok(t.generateInstruments({foo:'bar'}), 'generateInstruments should exists.');
    test.ok(t.generatePackageJson({foo:'bar'}), 'generatePackageJson should exists.');
    test.ok(t.generateScaffoldFiles({foo:'bar'}), 'generateScaffoldFiles should exists.');
    test.ok(t.generateStructure({foo:'bar'}), 'generateStructure should exists.');
    test.ok(t.generateTaskDefineHelper({foo:'bar'}), 'generateTaskDefineHelper should exists.');
    test.ok(t.generateTestFiles({foo:'bar'}), 'generateTestFiles should exists.');
    test.ok(t.generateUnitTestFiles({foo:'bar'}), 'generateUnitTestFiles should exists.');
    test.ok(t.generateVisualizeJsonFiles({foo:'bar'}), 'generateVisualizeJsonFiles should exists.');
    test.ok(t.installNodeModules({foo:'bar'}), 'installNodeModules should exists.');
    test.ok(t.linkNpmPackage({foo:'bar'}), 'linkNpmPackage should exists.');
    test.ok(t.linkPrototypeFiles({foo:'bar'}), 'linkPrototypeFiles should exists.');
    test.ok(t.packNpmPackage({foo:'bar'}), 'packNpmPackage should exists.');
    test.ok(t.reportToCoveralls({foo:'bar'}), 'reportToCoveralls should exists.');
    test.ok(t.runMocha({foo:'bar'}), 'runMocha should exists.');
    test.ok(t.runNodeunit({foo:'bar'}), 'runNodeunit should exists.');
    test.ok(t.tagOnGit({foo:'bar'}), 'tagOnGit should exists.');
    test.ok(t.versionUp({foo:'bar'}), 'versionUp should exists.');
    
    test.done();
};
